libswt-gnome-gtk-3-jni_3.8.0~rc4-1_i386.deb


Advertisement

Description

libswt-gnome-gtk-3-jni - Standard Widget Toolkit for GTK+ GNOME JNI library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libswt-gnome-gtk-3-jni
Package version 3.8.0~rc4
Package release 1
Package architecture i386
Package type deb
Installed size 99 B
Download size 27.00 KB
Official Mirror ftp.br.debian.org
The Standard Widget Toolkit (SWT) is a fast and rich GUI toolkit for the Java
programming language. SWT provides efficient, portable and fast access to
native controls and user interface facilities on the platforms where it has
been implemented.
This package includes the GNOME JNI library.

Alternatives

Package Version Architecture Repository
libswt-gnome-gtk-3-jni_3.8.0~rc4-1_amd64.deb 3.8.0~rc4 amd64 Debian Main
libswt-gnome-gtk-3-jni - - -

Requires

Name Value
libc6 >= 2.3.4
libgnomeui-0 >= 2.22.0
libgnomevfs2-0 >= 1:2.17.90
libswt-gtk-3-jni = 3.8.0~rc4-1

Download

Type URL
Binary Package libswt-gnome-gtk-3-jni_3.8.0~rc4-1_i386.deb
Source Package swt-gtk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libswt-gnome-gtk-3-jni deb package:
    # sudo apt-get install libswt-gnome-gtk-3-jni

Files

Path
/usr/lib/jni/libswt-gnome-gtk-3833.so
/usr/share/doc/libswt-gnome-gtk-3-jni/changelog.Debian.gz
/usr/share/doc/libswt-gnome-gtk-3-jni/copyright

Changelog

2012-06-29 - Jakub Adam <jakub.adam@ktknet.cz>
swt-gtk (3.8.0~rc4-1) unstable; urgency=low
* New upstream release.
* Ensure CFLAGS from d/rules are really used.
2012-06-20 - Niels Thykier <niels@thykier.net>
swt-gtk (3.8.0~rc2-3) unstable; urgency=low
* Upload to unstable.
* Compile java code with source/target 1.5 to ensure java
classes are compatible with Java 1.5+.  Thanks to James
Page for the report and the patch.
(Closes: #677025, LP: #1011103)
* Add breaks on eclipse-rcp to ensure eclipse 3.7 is not
installed with swt-gtk 3.8.
2012-06-18 - Niels Thykier <niels@thykier.net>
swt-gtk (3.8.0~rc2-2) experimental; urgency=low
* Prefer tight dependencies between the -JNI libraries
to breaks.
* Add breaks on the -JNI libraries built from 3.8.0~rc2-1
to ensure the tight dependency is used.
* Bump source format to 3.0 (quilt).
2012-05-29 - Jakub Adam <jakub.adam@ktknet.cz>
swt-gtk (3.8.0~rc2-1) experimental; urgency=low
[ Niels Thykier ]
* Use breaks to ensure that the SWT JNI libraries are upgraded
together with the Java package.
* Add conflicts with older versions of SWT and its JNI libraries.
This avoid this issue new and old versions of SWT and its JNI
libraries being used (and crashing).  (Closes: #670756,
LP: #1000272)
* Remove alternatives for /usr/share/java/swt.jar.
[ Jakub Adam ]
* New upstream release.
* Updated arch64.diff patch for new upstream release.
2012-05-24 - Niels Thykier <niels@thykier.net>
swt-gtk (3.7.2-3) unstable; urgency=low
[ Jakub Adam ]
* debian/Makefile: Add missing SWTMessages*.properties files to
swt-gtk-$(RELEASE).jar
[ Niels Thykier ]
* Use breaks to ensure that the SWT JNI libraries are upgraded
together with the Java package.
* Add conflicts with older versions of SWT and its JNI libraries.
This avoid this issue new and old versions of SWT and its JNI
libraries being used (and crashing).  (Closes: #670756,
LP: #1000272)
* Remove alternatives for /usr/share/java/swt.jar.
* Add myself to uploaders.
2012-05-10 - Jakub Adam <jakub.adam@ktknet.cz>
swt-gtk (3.8.0~m7-2) experimental; urgency=low
* Fix build on 64-bit platforms.
2012-05-09 - Jakub Adam <jakub.adam@ktknet.cz>
swt-gtk (3.8.0~m7-1) experimental; urgency=low
[ Jakub Adam ]
* New upstream release.
* Updated arch64.diff patch for new upstream release.
* Updated 01-as-needed.diff patch for new upstream release.
[ Niels Thykier ]
* Merge make_linux.mak patches and pass LDFLAGS + CPPFLAGS
to the underlying build system.
* Refactored the d/rules files.
2012-04-29 - Jakub Adam <jakub.adam@ktknet.cz>
swt-gtk (3.8.0~m6-1) experimental; urgency=low
* New upstream release.
* debian/Makefile: Add missing SWTMessages*.properties files to
swt-gtk-$(RELEASE).jar
* Updated 01-as-needed.diff patch for new upstream release.
* Updated arch64.diff patch for new upstream release.
* Search for JNI libraries in Debian location /usr/lib/jni
(Closes: #663734 #665195 #668002)
2012-03-27 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
swt-gtk (3.7.2-2) unstable; urgency=low
* debian/control: Change build-dep: libwebkit-dev -> libwebkitgtk-dev
(Closes: #635428)
2012-02-27 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
swt-gtk (3.7.2-1) unstable; urgency=low
[ أحمد المحمودي (Ahmed El-Mahmoudy) ]
* New upstream release.
* Updated arch64.diff patch for new upstream release.
* debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
debian/libswt-gtk-3-java.lintian-overrides, debian/manifest: Bumped
version.
* debian/control: Updated Standards-Version to 3.9.3
* Bumped compat level to 9
* debian/copyright: Updated copyright years & format URL.
[ Jakub Adam ]
* Add OSGi metadata to jar manifest
* Add Jakub Adam to Uploaders

See Also

Package Description
libswt-gtk-3-java-gcj_3.8.0~rc4-1_i386.deb Standard Widget Toolkit for GTK+ native library
libswt-gtk-3-java_3.8.0~rc4-1_i386.deb Standard Widget Toolkit for GTK+ Java library
libswt-gtk-3-jni_3.8.0~rc4-1_i386.deb Standard Widget Toolkit for GTK+ JNI library
libswt-webkit-gtk-3-jni_3.8.0~rc4-1_i386.deb Standard Widget Toolkit for GTK+ WebKit JNI library
libswtcalendar-java_0.5-1_all.deb GUI date picker for Java using SWT
libswtchart-java-doc_0.8.0-1_all.deb Chart drawing SWT component (documentation)
libswtchart-java_0.8.0-1_all.deb Chart drawing SWT component
libsx-dev_2.05-3_i386.deb Development files (headers and static libraries) for libsx
libsx0_2.05-3_i386.deb Simple X library
libsybdb5_0.91-2+deb7u1_i386.deb libraries for connecting to MS SQL and Sybase SQL servers
libsyfi1.0-dev_1.0.0.dfsg-1_i386.deb Finite element method (FEM) C++ library - development files
libsyfi1.0_1.0.0.dfsg-1_i386.deb Finite element method (FEM) C++ library - shared libraries
libsylph-dev_1.1.0-8_i386.deb e-mail client library derived from Sylpheed - devel files
libsylph1_1.1.0-8_i386.deb e-mail client library derived from Sylpheed
libsymmetrica-2.0_2.0-1_i386.deb A library for combinatorics, shared library
Advertisement
Advertisement